package com.wuban.tron.explore.service.impl;

import com.wuban.tron.explore.entity.LastBlock;
import com.wuban.tron.explore.service.LastBlockService;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import static org.junit.jupiter.api.Assertions.*;

@RunWith(SpringRunner.class)
@SpringBootTest
@Slf4j
class LastBlockServiceImplTest {

    @Autowired
    private LastBlockService lastBlockService;

    @Test
    void getById() {
        this.lastBlockService.getByIdForUpdate(1L);
    }

    @Test
    void getOneByExample() {
        LastBlock obj = this.lastBlockService.getOneByExample();
        System.out.println();
    }
}